## lubuntu-update-notifier 1.0.0~alpha4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(lubuntu-update VERSION 0.1 LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets LinguistTools)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets LinguistTools)

set(TS_FILES
	src/translations/lubuntu-update_en_US.ts
	src/translations/lubuntu-update_es_ES.ts
	src/translations/lubuntu-update_zh_CN.ts
)

set(PROJECT_SOURCES
        src/main.cpp
        src/mainwindow.cpp
        src/mainwindow.h
        src/mainwindow.ui
        src/orchestrator.h
        src/orchestrator.cpp
        src/aptmanager.h
        src/aptmanager.cpp
        src/conffilewidget.h
        src/conffilewidget.cpp
        src/conffilewidget.ui
        src/diffdisplaydialog.h
        src/diffdisplaydialog.cpp
        src/diffdisplaydialog.ui
        src/conffilehandlerdialog.h
        src/conffilehandlerdialog.cpp
        src/conffilehandlerdialog.ui
        src/ipcfilewatcher.h
        src/ipcfilewatcher.cpp
        src/releaseupgradewindow.h
        src/releaseupgradewindow.cpp
        src/releaseupgradewindow.ui
        src/upgradedelaywindow.h
        src/upgradedelaywindow.cpp
        src/upgradedelaywindow.ui
        ${TS_FILES}
)

set(TRANSLATION_RESOURCES "src/translations.qrc")

configure_file(${TRANSLATION_RESOURCES} translations.qrc COPYONLY)
qt5_add_translation(QM_FILES ${TS_FILES})
qt5_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)

add_custom_target(translations ALL DEPENDS ${QM_FILES})

add_executable(lubuntu-update
    ${PROJECT_SOURCES}
    ${QM_RESOURCES}
    src/resources.qrc
)

add_dependencies(lubuntu-update translations)

target_link_libraries(lubuntu-update PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

install(TARGETS lubuntu-update
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# Yes, we are hardcoding a path here. Yes, it's ugly. However, the program
# will attempt to run this script as root, and I do NOT want to make it try to
# "find" the script and execute the first thing it finds that has the right
# name, that sounds like a security breach waiting to happen. It will only
# execute lubuntu-update-backend from /usr/libexec, and if something malicious
# has gotten into /usr/libexec you're compromised anyway, so not much to worry
# about. Therefore we always, *always* install this script into /usr/libexec/,
# no matter where the rest of the program goes.
install(FILES src/lubuntu-update-backend DESTINATION /usr/libexec/)

install(FILES lubuntu-update.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)

## lubuntu-update-notifier 0.1

=== debian/changelog ===
lubuntu-update-notifier (0.1) focal; urgency=medium

  * Initial release. LP: #1840829

 -- Hans P Möller <hmollercl@lubuntu.me>  Thu, 22 Aug 2019 23:23:51 -0400

=== debian/control ===
Source: lubuntu-update-notifier
Section: admin
Priority: optional
Maintainer: Hans P Möller <hmollercl@lubuntu.me>
Build-Depends: debhelper (>=12~),
               dh-python,
               python3-all,
               python3-apt,
               python3-setuptools
Standards-Version: 4.4.0

Package: lubuntu-update-notifier
Architecture: all
Depends: aptdaemon,
         debconf-kde-helper,
         lxqt-sudo,
         python3,
         python3-aptdaemon (>= 0.6.20ubuntu16),
         python3-pyqt5,
         update-notifier-common,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Package includes a bash daemon (lubuntu-upg-notifier.sh) which
 checks if there are updates available. If there are it opnes notifier.py which
 is a window that notifies about package updates available. If you decide to
 upgrade a full upgrade (not safe-upgrade) with the upgrader binary.
 Upgrader can also be run alone, it can be chosen to run cache update before and
 if a safe or full upgrade will be done. There is also a .desktop to call
 upgrader with cache update and a full upgrade.

## lubuntu-update-notifier 0.1.1

=== debian/changelog ===
lubuntu-update-notifier (0.1.1) focal; urgency=medium

  [ Simon Quigley ]
  * Add a frontend for config-file-conflict. (LP: #1998937)

  [ Aaron Rainbolt ]
  * Fixed an assumption in the config-file-conflict frontend. (LP: #2002255)
  * Added interrupted upgrade repair functionality.
  * Bumped version number in lubuntu-upgrader.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 17 Jan 2023 16:43:44 -0600

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_INTERPRETERS=python3

%:
	dh $@ --with python3 --buildsystem=pybuild

## lubuntu-update-notifier 0.2

=== debian/changelog ===
lubuntu-update-notifier (0.2) groovy; urgency=medium

  [ Hans P Möller ]
  * Change sleep time for notifier from 1 hour to 24.
  * Added short description in control.

  [ Dan Simmons ]
  * Drop debian/compat switch to debhlper-compat=13, no changes needed.
  * Bump standards-version to 4.5.0, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Thu, 21 May 2020 19:49:57 -0400

=== debian/control ===
Source: lubuntu-update-notifier
Section: admin
Priority: optional
Maintainer: Hans P Möller <hmollercl@lubuntu.me>
Build-Depends: debhelper-compat (=13),
               dh-python,
               python3-all,
               python3-apt,
               python3-setuptools
Standards-Version: 4.5.0

Package: lubuntu-update-notifier
Architecture: all
Depends: aptdaemon,
         debconf-kde-helper,
         lxqt-sudo,
         python3,
         python3-aptdaemon (>= 0.6.20ubuntu16),
         python3-pyqt5,
         update-notifier-common,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Qt notifier for available upgrades, has a very simple upgrader
 Package includes a bash daemon (lubuntu-upg-notifier.sh) which
 checks if there are updates available. If there are it opens notifier.py which
 is a window that notifies about package updates available. If you decide to
 upgrade a full upgrade (not safe-upgrade) with the upgrader binary will take
 place.
 .
 Upgrader can also be run alone, it can be chosen to run cache update before and
 if a safe or full upgrade will be done. There is also a .desktop to call
 upgrader with cache update and a full upgrade.

## lubuntu-update-notifier 0.3

=== debian/changelog ===
lubuntu-update-notifier (0.3) groovy; urgency=medium

  * Added affected packages info.
  * Move executables from /usr/lib to /usr/libexec.
  * Added "Rules-Requires-Root: no" to debian/control.

 -- Hans P Möller <hmollercl@lubuntu.me>  Wed, 19 Aug 2020 10:23:52 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python3-apt,
                python3-setuptools
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: lubuntu-update-notifier
 Architecture: all

## lubuntu-update-notifier 0.4

=== debian/changelog ===
lubuntu-update-notifier (0.4) hirsute; urgency=medium

  * Added internationalization support.
  * Added packages version and description.
  * Added security package mark and count.

 -- Hans P Möller <hmollercl@lubuntu.me>  Sun, 14 Feb 2021 21:06:03 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Hans P Möller <hmollercl@lubuntu.me>
 Build-Depends: debhelper-compat (=13),
                dh-python,
+               gettext,
                python3-all,
                python3-apt,
                python3-setuptools
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: lubuntu-update-notifier
 Architecture: all

## lubuntu-update-notifier 0.5

=== debian/changelog ===
lubuntu-update-notifier (0.5) lunar; urgency=medium

  * Add a frontend for config-file-conflict.
  * Update Standards-version to 4.6.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 07 Dec 2022 13:26:39 -0600

## lubuntu-update-notifier 0.5.1~22.04.3

=== debian/changelog ===
lubuntu-update-notifier (0.5.1~22.04.3) jammy; urgency=medium

  * Don't try to pass a string to QTreeWidgetItem when it expects an
    Iterable[str]. (LP: #2012823)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 26 Mar 2023 12:21:33 -0500

lubuntu-update-notifier (0.5.1~22.04.2) jammy; urgency=medium

  * SRU backport of 0.5.1 to the Jammy stable release.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 08 Jan 2023 17:56:49 -0600

lubuntu-update-notifier (0.5.1) lunar; urgency=medium

  * Added functionality for repairing an interrupted upgrade. (LP: #2002255)
  * Fixed an assumption in the config-file-conflict frontend.
  * Bumped version number in lubuntu-upgrader.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 14 Dec 2022 12:32:48 -0600

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Hans P Möller <hmollercl@lubuntu.me>
-Build-Depends: debhelper-compat (=13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
                python3-all,
                python3-apt,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

## lubuntu-update-notifier 0.5.1~22.10.3

=== debian/changelog ===
lubuntu-update-notifier (0.5.1~22.10.3) kinetic; urgency=medium

  * Don't try to pass a string to QTreeWidgetItem when it expects an
    Iterable[str]. (LP: #2012823)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 26 Mar 2023 16:29:40 -0500

lubuntu-update-notifier (0.5.1~22.10.2) kinetic; urgency=medium

  * SRU backport of 0.5.1 to the Kinetic stable release.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 08 Jan 2023 17:53:27 -0600

## lubuntu-update-notifier 0.5.3

=== debian/changelog ===
lubuntu-update-notifier (0.5.3) lunar; urgency=medium

  * Changed some strings and fixed a typo in the autopkgtest tweak

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 02 Feb 2023 11:45:32 -0600

lubuntu-update-notifier (0.5.2) lunar; urgency=medium

  * Tweaked the autopkgtest script to return more detailed debugging info.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 02 Feb 2023 10:41:08 -0600

## lubuntu-update-notifier 0.5.4

=== debian/changelog ===
lubuntu-update-notifier (0.5.4) lunar; urgency=medium

  * Disconnect the status_changed() function from the status-changed signal in
    repair_install(), as it interferes with upgrade_progress_download().
    (LP: #2012702)
  * Don't try to pass a string to QTreeWidgetItem when it expects an
    Iterable[str]. (LP: #2012823)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 26 Mar 2023 10:48:15 -0500

## lubuntu-update-notifier 0.6.0~23.04.3

=== debian/changelog ===
lubuntu-update-notifier (0.6.0~23.04.3) lunar; urgency=medium

  * Add support for release upgrading, when all updates are applied (LP: #2038958).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Oct 2023 14:06:19 -0500

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,14 @@
 Architecture: all
 Depends: aptdaemon,
          debconf-kde-helper,
-         lxqt-sudo,
+         lxqt-sudo (>= 1.2.0-1ubuntu1.1),
          python3,
          python3-aptdaemon (>= 0.6.20ubuntu16),
+         python3-launchpadlib,
          python3-pyqt5,
+         python3-update-manager,
          update-notifier-common,
+         ubuntu-release-upgrader-qt,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## lubuntu-update-notifier 0.6.2~23.10.1

=== debian/changelog ===
lubuntu-update-notifier (0.6.2~23.10.1) mantic; urgency=medium

  * Add support for release upgrading, when all updates are applied (LP: #2038958).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Oct 2023 14:06:19 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: aptdaemon,
          debconf-kde-helper,
-         lxqt-sudo (>= 1.2.0-1ubuntu1.1),
+         lxqt-sudo (>= 1.3.0-0ubuntu1.1),
          python3,
          python3-aptdaemon (>= 0.6.20ubuntu16),
          python3-launchpadlib,

## lubuntu-update-notifier 1.0.0~alpha4

=== debian/changelog ===
lubuntu-update-notifier (1.0.0~alpha4) noble; urgency=medium

  * Fix infinite loop when no eligible new release is available.
  * Fix a bug where only the first eligible new release would be considered.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 09 Feb 2024 22:26:59 +0000

lubuntu-update-notifier (1.0.0~alpha3) noble; urgency=medium

  * New feature release. Notable additions:
    - do-release-upgrade support
  * Updated runtime dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 02 Feb 2024 11:37:36 -0600

lubuntu-update-notifier (1.0.0~alpha2) noble; urgency=medium

  * New feature release. Notable additions:
    - The ability to check for updates directly in the updater has been added.
    - Irrelevant package sections are no longer shown.
    - Strings are now translatable.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 26 Jan 2024 22:11:49 +0000

lubuntu-update-notifier (1.0.0~alpha1) noble; urgency=medium

  * Replace the old update notifier with Lubuntu Update.
  * Change maintainer to Lubuntu Developers.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 11 Jan 2024 03:21:20 +0000

lubuntu-update-notifier (0.6.0) mantic; urgency=medium

  * Add support for release upgrading, when all updates are applied (LP: #2038958).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Oct 2023 14:06:19 -0500

## lubuntu-update-notifier 1.0.0build2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets LinguistTools)
-find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets LinguistTools)
+find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets DBus LinguistTools)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets DBus LinguistTools)
 
 set(TS_FILES
 	src/translations/lubuntu-update_en_US.ts
@@ -36,14 +36,14 @@
         src/conffilehandlerdialog.h
         src/conffilehandlerdialog.cpp
         src/conffilehandlerdialog.ui
-        src/ipcfilewatcher.h
-        src/ipcfilewatcher.cpp
         src/releaseupgradewindow.h
         src/releaseupgradewindow.cpp
         src/releaseupgradewindow.ui
         src/upgradedelaywindow.h
         src/upgradedelaywindow.cpp
         src/upgradedelaywindow.ui
+        src/windowshowwatcher.h
+        src/windowshowwatcher.cpp
         ${TS_FILES}
 )
 
@@ -63,7 +63,9 @@
 
 add_dependencies(lubuntu-update translations)
 
-target_link_libraries(lubuntu-update PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
+target_link_libraries(lubuntu-update PRIVATE
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::DBus)
 
 install(TARGETS lubuntu-update
     BUNDLE DESTINATION .

=== debian/changelog ===
lubuntu-update-notifier (1.0.0build2) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:44:52 +0200

lubuntu-update-notifier (1.0.0build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:13:35 +0000

lubuntu-update-notifier (1.0.0) noble; urgency=medium

  * Change from beta to final release.
  * Use D-Bus as a window show trigger rather than clunky drop files, this
    will prevent issues if multiple users are logged in at once.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 25 Mar 2024 16:15:49 -0500

lubuntu-update-notifier (1.0.0~beta1) noble; urgency=medium

  * Change from alpha to beta testing phase, this has been tested for a while
    and looks pretty stable so far.
  * Wait to start until lxqt-notificationd is present. (LP: #2056379)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 07 Mar 2024 04:06:13 +0000

=== debian/control ===
Source: lubuntu-update-notifier
Section: admin
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               lxqt-sudo (>= 1.4.0-0ubuntu2),
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: lubuntu-update-notifier
Architecture: any
Depends: curl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Lubuntu's update installer
 Lubuntu Update is an enhanced, modern update installer for the Lubuntu
 operating system. It is designed to:
   * Be easy to use,
   * Look nice, and
   * Integrate well with the Lubuntu desktop.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

## lubuntu-update-notifier 1.1.0

=== debian/changelog ===
lubuntu-update-notifier (1.1.0) oracular; urgency=medium

  * Port to Qt6.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:58:41 -0500

## lubuntu-update-notifier 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,7 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets DBus LinguistTools)
-find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets DBus LinguistTools)
+find_package(Qt6 REQUIRED COMPONENTS Widgets DBus LinguistTools)
 
 set(TS_FILES
 	src/translations/lubuntu-update_en_US.ts
@@ -50,8 +49,8 @@
 set(TRANSLATION_RESOURCES "src/translations.qrc")
 
 configure_file(${TRANSLATION_RESOURCES} translations.qrc COPYONLY)
-qt5_add_translation(QM_FILES ${TS_FILES})
-qt5_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
+qt6_add_translation(QM_FILES ${TS_FILES})
+qt6_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
 
 add_custom_target(translations ALL DEPENDS ${QM_FILES})
 
@@ -64,8 +63,8 @@
 add_dependencies(lubuntu-update translations)
 
 target_link_libraries(lubuntu-update PRIVATE
-    Qt${QT_VERSION_MAJOR}::Widgets
-    Qt${QT_VERSION_MAJOR}::DBus)
+    Qt6::Widgets
+    Qt6::DBus)
 
 install(TARGETS lubuntu-update
     BUNDLE DESTINATION .

=== debian/changelog ===
lubuntu-update-notifier (1.1.1) plucky; urgency=medium

  * Switch debconf frontend to noninteractive. (LP: #2091704)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 24 Dec 2024 13:51:28 -0600

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                lxqt-sudo (>= 1.4.0-0ubuntu2),
-               qtbase5-dev,
-               qttools5-dev
+               qt6-base-dev,
+               qt6-tools-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## lubuntu-update-notifier 1.1.1build1

=== debian/changelog ===
lubuntu-update-notifier (1.1.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 13:19:33 +0000
